apcu_inc
apcu_store
APCu Functions
PHP Manual

# apcu_sma_info

(PECL apcu >= 4.0.0)

apcu_sma_info — Retrieves APCu Shared Memory Allocation information

### Description

array apcu_sma_info ([ bool `$limited` = false ] )

Retrieves APCu Shared Memory Allocation information.

### Parameters

`limited`

  When set to `FALSE` (default) apcu_sma_info() will return a detailed information about each segment.

### Return Values

Array of Shared Memory Allocation data; `FALSE` on failure.

### Examples

Example #1 A apcu_sma_info() example

`<?php
print_r(apcu_sma_info());
?>`

The above example will output something similar to:

    Array
    (
        [num_seg] => 1
        [seg_size] => 31457280
        [avail_mem] => 31448408
        [block_lists] => Array
            (
                [0] => Array
                    (
                        [0] => Array
                            (
                                [size] => 31448408
                                [offset] => 8864
                            )

                    )

            )

    )

### See Also

- APCu configuration directives

apcu_inc
apcu_store
APCu Functions
PHP Manual